#ifndef cmGr2dFltk_h
#define cmGr2dFltk_h

class Fl_Menu_Bar;

class cmGr2dFltk : public cmGrPlotFltk
{
public:
  cmGr2dFltk(cmCtx_t* ctx, Fl_Menu_Bar* menuBar, int x, int y, int w, int h);

  virtual ~cmGr2dFltk();

  virtual bool on_plot_object( cmGrPlotCbArg_t* arg );

  double x() const;
  double y() const;
  double radius() const;
  double angle() const;

private:
  enum
  {
    kWidth = 100,
    kHeight = 100
  };

  enum
  {
    kOkRC = 0,
    kCreateObjRC
  };

  cmErr_t _err;
  double _x;
  double _y;
  double _radius;
  double _angle;
  unsigned _objId;

  void _createObj();
  
};

#endif
